Bug 823572 - Java crashes with libxul.so errors
Java crashes with libxul.so errors
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
16
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 10:47 EDT by John Bradshaw
Modified: 2012-06-07 18:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 11:30:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from pentaho crash (87.74 KB, text/plain)
2012-05-24 04:57 EDT, John Bradshaw
no flags Details

  None (edit)
Description John Bradshaw 2012-05-21 10:47:52 EDT
Description of problem:
Java crashes with "problematic frame" error at libxul.so.
I've tried this with both the default OpenJDK and tSun/Oracle JRE6 on 2 different apps.

Version-Release number of selected component (if applicable):
xulrunner-12.0-1.fc16.i686

How reproducible:
Always

Steps to Reproduce:
1. Download Bonita or Pentaho business apps (either will show problem)
2. Run the relevant app (for pentaho: spoon.sh, for bonita: BonitaStudio.sh)
3. 
  
Actual results:
Apps abort during loading with the following messages:

Run 1: Bonita with /etc/alternatives/java -> /usr/java/jre1.7.0_04/bin/java:
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x03d84a79, pid=7010, tid=3077867200
#
# JRE version: 6.0_32-b05
# Java VM: Java HotSpot(TM) Client VM (20.7-b02 mixed mode, sharing linux-x86 )
# Problematic frame:
# C  [libxul.so+0xd34a79]  mozilla::services::_external_GetHistoryService()+0x1a5fe
#
# An error report file with more information is saved as:
# /home/john/BOS-5.6.3/studio/hs_err_pid7010.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Run 2: Pentaho with Sun JRE
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0xb0531a79, pid=7112, tid=3068697408
#
# JRE version: 6.0_32-b05
# Java VM: Java HotSpot(TM) Client VM (20.7-b02 mixed mode, sharing linux-x86 )
# Problematic frame:
# C  [libxul.so+0xd34a79]  mozilla::services::_external_GetHistoryService()+0x1a5fe
#
# An error report file with more information is saved as:
# /home/john/pentaho/data-integration/hs_err_pid7112.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#


Run 3: Pentaho with OpenJDK 1.7.0
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x01d36053, pid=7220, tid=3077770048
#
# JRE version: 7.0
# Java VM: OpenJDK Client VM (22.0-b10 mixed mode linux-x86 )
# Problematic frame:
# C  [libxul.so+0xd5d053]  NS_InvokeByIndex_P+0x603f
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/john/pentaho/data-integration/hs_err_pid7220.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
#


Run 4: Bonita with OpenJDK 1.7.0
>   compiled 249 lines in 1593ms:156.3lines/s
>   parse: 429 ms (26.9%), resolve: 564 ms (35.4%), analyze: 0 ms (0.0%), generate: 272 ms (17.0%)
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x01c1ce28, pid=7258, tid=3078117056
#
# JRE version: 7.0
# Java VM: OpenJDK Client VM (22.0-b10 mixed mode linux-x86 )
# Problematic frame:
# C  [libxul.so+0xd5ce28]  NS_InvokeByIndex_P+0x5e14
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/john/BOS-5.6.3/studio/hs_err_pid7258.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
#



Expected results:
Apps will load and operate normally.

Additional Information:
Core dumps from pentaho can be provided on request.
Comment 1 Vadim Rutkovsky 2012-05-22 00:48:35 EDT
Could you please obtain a stacktrace after installing debuginfo packages using 'sudo debuginfo-install xulrunner' command?
See http://fedoraproject.org/wiki/StackTraces#gdb for details on obtaining a stacktrace
Comment 2 John Bradshaw 2012-05-22 15:39:24 EDT
Hopefully this helps...

$ gdb ./BonitaStudio-linux
GNU gdb (GDB) Fedora (7.3.50.20110722-13.fc16)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/john/BOS-5.6.3/studio/BonitaStudio-linux...done.
(gdb) run -data ./workspace -vmargs -Dbonita_client_home="." -Dosgi.nls.warnings=ignore -Dfile.encoding=UTF-8 -Xmx512m -Xms256m -XX:MaxPermSize=256m
Starting program: /home/john/BOS-5.6.3/studio/BonitaStudio-linux -data ./workspace -vmargs -Dbonita_client_home="." -Dosgi.nls.warnings=ignore -Dfile.encoding=UTF-8 -Xmx512m -Xms256m -XX:MaxPermSize=256m
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
process 2533 is executing new program: /home/john/BOS-5.6.3/studio/BonitaStudio-linux
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
warning: "/usr/lib/debug/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/lib/i386/client/libjvm.so.debug": separate debug info file has no debug info
Missing separate debuginfo for /usr/lib/debug/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/lib/i386/client/libjvm.so.debug
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/34/743324757ac62f672446bc8ebbcc7bbc072d1e.debug
[New Thread 0x858bbb40 (LWP 2536)]
[New Thread 0x856ffb40 (LWP 2537)]
[New Thread 0x856aeb40 (LWP 2538)]
[New Thread 0x8565db40 (LWP 2539)]
[New Thread 0x854ffb40 (LWP 2540)]
[New Thread 0x8547eb40 (LWP 2541)]
[New Thread 0x852ffb40 (LWP 2542)]
[New Thread 0x8507db40 (LWP 2543)]
[New Thread 0x84dffb40 (LWP 2544)]
[New Thread 0x84daeb40 (LWP 2545)]
[New Thread 0x84f74b40 (LWP 2546)]
[Thread 0x84f74b40 (LWP 2546) exited]
[New Thread 0x84f74b40 (LWP 2547)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x84dffb40 (LWP 2544)]
0xb5ec4ac0 in ?? ()
(gdb) thread apply all bt full

Thread 13 (Thread 0x84f74b40 (LWP 2547)):
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x4487ec04 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:238
No locals.
#2  0x0047b300 in os::PlatformEvent::park () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00471ee9 in ObjectMonitor::wait(long long, bool, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x00503e57 in ObjectSynchronizer::wait(Handle, long long, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x003a51af in JVM_MonitorWait () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0xb5dee6cd in ?? ()
No symbol table info available.
#7  0xb5de7187 in ?? ()
No symbol table info available.
#8  0xb5de7705 in ?? ()
No symbol table info available.
#9  0xb5de4359 in ?? ()
No symbol table info available.
#10 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#11 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#12 0x0036a198 in JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#13 0x0036a21b in JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#14 0x003a3952 in thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#15 0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#16 0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#17 0x4487acd3 in start_thread (arg=0x84f74b40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x84f74b40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2064169880, -635738557, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#18 0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 11 (Thread 0x84daeb40 (LWP 2545)):
---Type <return> to continue, or q <return> to quit---
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x4487e85c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
No locals.
#2  0x0048422c in os::PlatformEvent::park() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00472213 in ObjectMonitor::wait(long long, bool, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x00503e57 in ObjectSynchronizer::wait(Handle, long long, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x003a51af in JVM_MonitorWait () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0xb5dee6cd in ?? ()
No symbol table info available.
#7  0xb5de7187 in ?? ()
No symbol table info available.
#8  0xb5de7187 in ?? ()
No symbol table info available.
#9  0xb5de731a in ?? ()
No symbol table info available.
#10 0xb5de4359 in ?? ()
No symbol table info available.
#11 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#12 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#13 0x0036a198 in JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#14 0x0036a21b in JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#15 0x003a3952 in thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#16 0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#17 0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#18 0x4487acd3 in start_thread (arg=0x84daeb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x84daeb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2066029464, -2124716477, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#19 0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 10 (Thread 0x84dffb40 (LWP 2544)):
---Type <return> to continue, or q <return> to quit---
#0  0xb5ec4ac0 in ?? ()
No symbol table info available.
#1  0xb5ec5fe8 in ?? ()
No symbol table info available.
#2  0xb5de73fb in ?? ()
No symbol table info available.
#3  0xb5de7187 in ?? ()
No symbol table info available.
#4  0xb5de731a in ?? ()
No symbol table info available.
#5  0xb5de731a in ?? ()
No symbol table info available.
#6  0xb5de73fb in ?? ()
No symbol table info available.
#7  0xb5de7705 in ?? ()
No symbol table info available.
#8  0xb5de4359 in ?? ()
No symbol table info available.
#9  0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#10 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#11 0x0036abce in JavaCalls::call(JavaValue*, methodHandle, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#12 0x003a636e in JVM_DoPrivileged () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#13 0x00afbcdb in Java_java_security_AccessController_doPrivileged__Ljava_security_PrivilegedExceptionAction_2 (env=0x83f3520, cls=0x84dfeaf8, action=0x84dfeb00)
    at ../../../src/share/native/java/security/AccessController.c:67
No locals.
#14 0xb5dee6cd in ?? ()
No symbol table info available.
#15 0xb5de731a in ?? ()
No symbol table info available.
#16 0xb5de7187 in ?? ()
No symbol table info available.
#17 0xb5de7187 in ?? ()
No symbol table info available.
#18 0xb5de7187 in ?? ()
No symbol table info available.
#19 0xb5de7187 in ?? ()
No symbol table info available.
#20 0xb5de7187 in ?? ()
No symbol table info available.
#21 0xb5de7187 in ?? ()
No symbol table info available.
#22 0xb5de7187 in ?? ()
No symbol table info available.
#23 0xb5de7187 in ?? ()
No symbol table info available.
#24 0xb5de7187 in ?? ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#25 0xb5de7705 in ?? ()
No symbol table info available.
#26 0xb5de7187 in ?? ()
No symbol table info available.
#27 0xb5de4359 in ?? ()
No symbol table info available.
#28 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#29 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#30 0x0036a198 in JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#31 0x0036a21b in JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#32 0x003a3952 in thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#33 0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#34 0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#35 0x4487acd3 in start_thread (arg=0x84dffb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x84dffb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2065697688, -1954847165, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#36 0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 9 (Thread 0x8507db40 (LWP 2543)):
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x4487e85c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
No locals.
#2  0x0048422c in os::PlatformEvent::park() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00472213 in ObjectMonitor::wait(long long, bool, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x00503e57 in ObjectSynchronizer::wait(Handle, long long, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x003a51af in JVM_MonitorWait () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0xb5dee6cd in ?? ()
No symbol table info available.
#7  0xb5de7187 in ?? ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#8  0xb5de7187 in ?? ()
No symbol table info available.
#9  0xb5de731a in ?? ()
No symbol table info available.
#10 0xb5de4359 in ?? ()
No symbol table info available.
#11 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#12 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#13 0x0036a198 in JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#14 0x0036a21b in JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#15 0x003a3952 in thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#16 0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#17 0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#18 0x4487acd3 in start_thread (arg=0x8507db40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x8507db40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2063084440, 993748544, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#19 0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 8 (Thread 0x852ffb40 (LWP 2542)):
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x4487ec04 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:238
No locals.
#2  0x0047b300 in os::PlatformEvent::park () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00538366 in WatcherThread::run() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x4487acd3 in start_thread (arg=0x852ffb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x852ffb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2060454808, 1803249216, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
---Type <return> to continue, or q <return> to quit---
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#6  0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 7 (Thread 0x8547eb40 (LWP 2541)):
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x4487e85c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
No locals.
#2  0x0048422c in os::PlatformEvent::park() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00458ca5 in Monitor::IWait(Thread*, long long) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x004598ad in Monitor::wait(bool, long, bool) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x004ca58d in ServiceThread::service_thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#7  0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#8  0x4487acd3 in start_thread (arg=0x8547eb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x8547eb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2058886040, -1151637952, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#9  0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 6 (Thread 0x854ffb40 (LWP 2540)):
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x4487e85c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
No locals.
#2  0x0048422c in os::PlatformEvent::park() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00458ca5 in Monitor::IWait(Thread*, long long) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x0045994b in Monitor::wait(bool, long, bool) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x002804cb in CompileQueue::get() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#6  0x002835b8 in CompileBroker::compiler_thread_loop() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#7  0x00537795 in compiler_thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#8  0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#9  0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#10 0x4487acd3 in start_thread (arg=0x854ffb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x854ffb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2058357656, -1417976256, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#11 0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 5 (Thread 0x8565db40 (LWP 2539)):
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x44880c05 in sem_wait@@GLIBC_2.1 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/sem_wait.S:80
No locals.
#2  0x0047be47 in check_pending_signals(bool) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x004781d4 in signal_thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0x4487acd3 in start_thread (arg=0x8565db40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x8565db40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2056924056, -12884416, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 4 (Thread 0x856aeb40 (LWP 2538)):
#0  0x00111416 in ?? ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#1  0x4487e85c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:172
No locals.
#2  0x0048422c in os::PlatformEvent::park() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00458ca5 in Monitor::IWait(Thread*, long long) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x0045994b in Monitor::wait(bool, long, bool) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x005722ef in VMThread::execute(VM_Operation*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0x0019b12e in BiasedLocking::revoke_and_rebias(Handle, bool, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#7  0x005042a1 in ObjectSynchronizer::fast_enter(Handle, BasicLock*, bool, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#8  0x0021eafe in Runtime1::monitorenter(JavaThread*, oopDesc*, BasicObjectLock*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#9  0xb5e73800 in ?? ()
No symbol table info available.
#10 0xb5f78187 in ?? ()
No symbol table info available.
#11 0xb5de4359 in ?? ()
No symbol table info available.
#12 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#13 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#14 0x0036a198 in JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#15 0x0036a21b in JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#16 0x003a3952 in thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#17 0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#18 0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#19 0x4487acd3 in start_thread (arg=0x856aeb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x856aeb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2056592280, -514103744, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#20 0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 3 (Thread 0x856ffb40 (LWP 2537)):
---Type <return> to continue, or q <return> to quit---
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x44881592 in __lll_unlock_wake () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S:387
No locals.
#2  0x4487dce7 in _L_unlock_622 () from /lib/libpthread.so.0
No locals.
#3  0x4487dc2a in __pthread_mutex_unlock_usercnt (mutex=0x80e1c28, decr=1) at pthread_mutex_unlock.c:53
        type = 0
        __PRETTY_FUNCTION__ = "__pthread_mutex_unlock_usercnt"
#4  0x004844aa in os::PlatformEvent::unpark() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x00470bf2 in ObjectMonitor::ExitEpilog(Thread*, ObjectWaiter*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0x00470f8a in ObjectMonitor::exit(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#7  0x005044d3 in ObjectSynchronizer::slow_exit(oopDesc*, BasicLock*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#8  0x0021ecb1 in Runtime1::monitorexit(JavaThread*, BasicObjectLock*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#9  0xb5e739fc in ?? ()
No symbol table info available.
#10 0xb5f75756 in ?? ()
No symbol table info available.
#11 0xb5de4359 in ?? ()
No symbol table info available.
#12 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#13 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#14 0x0036a198 in JavaCalls::call_virtual(JavaValue*, KlassHandle, Symbol*, Symbol*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#15 0x0036a21b in JavaCalls::call_virtual(JavaValue*, Handle, KlassHandle, Symbol*, Symbol*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#16 0x003a3952 in thread_entry(JavaThread*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#17 0x00540ea3 in JavaThread::thread_main_inner() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#18 0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#19 0x4487acd3 in start_thread (arg=0x856ffb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x856ffb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2056260504, -344234432, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#20 0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
---Type <return> to continue, or q <return> to quit---
No locals.

Thread 2 (Thread 0x858bbb40 (LWP 2536)):
#0  0x004c73e3 in SafepointSynchronize::begin() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#1  0x00571a77 in VMThread::loop() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#2  0x00571ebf in VMThread::run() () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x0047cd75 in java_start(Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x4487acd3 in start_thread (arg=0x858bbb40) at pthread_create.c:309
        __res = <optimized out>
        pd = 0x858bbb40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1149812724, 0, 4001536, -2054441880, 603678273, 1002775491}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x447b7a2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.

Thread 1 (Thread 0xb7fe46c0 (LWP 2533)):
#0  0x00111416 in ?? ()
No symbol table info available.
#1  0x4487ec04 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:238
No locals.
#2  0x0047b300 in os::PlatformEvent::park () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#3  0x00471ee9 in ObjectMonitor::wait(long long, bool, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#4  0x00503e57 in ObjectSynchronizer::wait(Handle, long long, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#5  0x003a51af in JVM_MonitorWait () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#6  0xb5dee6cd in ?? ()
No symbol table info available.
#7  0xb5de7187 in ?? ()
No symbol table info available.
#8  0xb5de73fb in ?? ()
No symbol table info available.
#9  0xb5de7187 in ?? ()
No symbol table info available.
#10 0xb5de7187 in ?? ()
No symbol table info available.
#11 0xb5de731a in ?? ()
No symbol table info available.
#12 0xb5de4359 in ?? ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
#13 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#14 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#15 0x0036abce in JavaCalls::call(JavaValue*, methodHandle, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#16 0x004bbceb in Reflection::invoke(instanceKlassHandle, methodHandle, Handle, bool, objArrayHandle, BasicType, objArrayHandle, bool, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#17 0x004bce60 in Reflection::invoke_method(oopDesc*, Handle, objArrayHandle, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#18 0x003b1370 in JVM_InvokeMethod () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#19 0x00b07462 in Java_sun_reflect_NativeMethodAccessorImpl_invoke0 (env=0x8056520, unused=0xbfffeb0c, m=0xbfffeb1c, obj=0xbfffeb18, args=0xbfffeb14)
    at ../../../src/share/native/sun/reflect/NativeAccessors.c:33
No locals.
#20 0xb5dee6cd in ?? ()
No symbol table info available.
#21 0xb5de731a in ?? ()
No symbol table info available.
#22 0xb5de731a in ?? ()
No symbol table info available.
#23 0xb5de7898 in ?? ()
No symbol table info available.
#24 0xb5de731a in ?? ()
No symbol table info available.
#25 0xb5de7187 in ?? ()
No symbol table info available.
#26 0xb5de7187 in ?? ()
No symbol table info available.
#27 0xb5de4359 in ?? ()
No symbol table info available.
#28 0x0036b32f in JavaCalls::call_helper(JavaValue*, methodHandle*, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#29 0x004834b6 in os::os_exception_wrapper(void (*)(JavaValue*, methodHandle*, JavaCallArguments*, Thread*), JavaValue*, methodHandle*, JavaCallArguments*, Thread*) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#30 0x0036abce in JavaCalls::call(JavaValue*, methodHandle, JavaCallArguments*, Thread*) () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#31 0x00377dce in jni_invoke_nonstatic () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#32 0x0037ef5d in jni_CallIntMethod () from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so
No symbol table info available.
#33 0x00119fd1 in startJavaJNI (libPath=0x804ef08 "/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so", vmArgs=0x804f188, progArgs=0x804fd30, jarFile=
    0x804ef70 "/home/john/BOS-5.6.3/studio/plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar") at ../eclipseJNI.c:386
        i = 7
        numVMArgs = 7
        jniLibrary = 0x8050158
        createJavaVM = 0x38d110 <JNI_CreateJavaVM>
        init_args = {version = 65538, nOptions = 7, options = 0x8051470, ignoreUnrecognized = 1 '\001'}
        options = 0x8051470
---Type <return> to continue, or q <return> to quit---
        mainClassName = 0x81e5998 "\002"
        results = 0x804e928
        mainClass = 0x80573c0
        mainConstructor = 0x80d6780
        mainObject = 0x80573bc
        runMethod = 0x80d6784
        methodArgs = 0x80573b8
#34 0x0011b59c in startJavaVM (libPath=0x804ef08 "/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3/jre/bin/../lib/i386/client/libjvm.so", vmArgs=0x804f188, progArgs=0x804fd30, jarFile=
    0x804ef70 "/home/john/BOS-5.6.3/studio/plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar") at ../eclipseNix.c:174
No locals.
#35 0x001150d6 in run (argc=4, argv=0x804e8b0, vmArgs=0xbffff124) at ../eclipse.c:507
        vmCommand = 0x0
        vmCommandArgs = 0x804f188
        progCommandArgs = 0x804fd30
        relaunchCommand = 0x0
        errorMsg = 0x0
        msg = 
    0x804fdc0 "-Dbonita_client_home=.\n-Dosgi.nls.warnings=ignore\n-Dfile.encoding=UTF-8\n-Xmx512m\n-Xms256m\n-XX:MaxPermSize=256m\n-Djava.class.path=/home/john/BOS-5.6.3/studio/plugins/org.eclipse.equinox.launcher_1.1.0."...
        javaResults = 0x0
        launchMode = 1
        running = 1
#36 0x080490ee in main (argc=4, argv=0x804e8b0) at ../eclipseMain.c:186
        errorMsg = 0x4486dff4 "|݆D\026\256mD"
        program = 0x804d8a8 "/home/john/BOS-5.6.3/studio/BonitaStudio-linux"
        iniFile = 0x0
        ch = 0x0
        configArgv = 0x804f228
        configArgc = 1
        exitCode = 0
        ret = 0
        handle = 0x804ea30
        runMethod = 0x114b4e <run>
        setArgs = 0x114b1c <setInitialArgs>
(gdb) 






----------------------------------------------------

When running outside GDB (using BonitaStudio.sh which is just a wrapper that changes directory and adds some command line args - used the same ones above in the GDB run) it sometimes complains about libxul.so and other times about UTF-16.so - have attached output from a few consecutive runs below:


[john@opti BOS-5.6.3]$ ./BonitaStudio.sh
Source path is: .
vmArgs are: -Dfile.encoding=UTF-8 -Xmx512m -Xms256m -XX:MaxPermSize=256m
>FULL BUILD STATS for: local_default_My Extensions
>   compiled 249 lines in 1193ms:208.7lines/s
>   parse: 342 ms (28.6%), resolve: 436 ms (36.5%), analyze: 2 ms (0.1%), generate: 208 ms (17.4%)
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x05730a79, pid=3400, tid=3078190784
#
# JRE version: 7.0
# Java VM: OpenJDK Client VM (22.0-b10 mixed mode linux-x86 )
# Problematic frame:
# C  [libxul.so+0xd34a79]  mozilla::services::_external_GetHistoryService()+0x1a5fe
#
# Core dump written. Default location: /home/john/BOS-5.6.3/studio/core or core.3400
#
# An error report file with more information is saved as:
# /home/john/BOS-5.6.3/studio/hs_err_pid3400.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
./BonitaStudio.sh: line 11:  3400 Aborted                 (core dumped) ./BonitaStudio-linux -data ./workspace -vmargs -Dbonita_client_home="$source_path" -Dosgi.nls.warnings=ignore $vmArgs
[john@opti BOS-5.6.3]$ ./BonitaStudio.sh
Source path is: .
vmArgs are: -Dfile.encoding=UTF-8 -Xmx512m -Xms256m -XX:MaxPermSize=256m
>FULL BUILD STATS for: local_default_My Extensions
>   compiled 249 lines in 1229ms:202.6lines/s
>   parse: 339 ms (27.5%), resolve: 459 ms (37.3%), analyze: 1 ms (0.0%), generate: 210 ms (17.0%)
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0098fb1c, pid=3433, tid=3077514944
#
# JRE version: 7.0
# Java VM: OpenJDK Client VM (22.0-b10 mixed mode linux-x86 )
# Problematic frame:
# C  [UTF-16.so+0xb1c]  gconv+0x3dc
#
# Core dump written. Default location: /home/john/BOS-5.6.3/studio/core or core.3433
#
# An error report file with more information is saved as:
# /home/john/BOS-5.6.3/studio/hs_err_pid3433.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
./BonitaStudio.sh: line 11:  3433 Aborted                 (core dumped) ./BonitaStudio-linux -data ./workspace -vmargs -Dbonita_client_home="$source_path" -Dosgi.nls.warnings=ignore $vmArgs
[john@opti BOS-5.6.3]$ ./BonitaStudio.sh
Source path is: .
vmArgs are: -Dfile.encoding=UTF-8 -Xmx512m -Xms256m -XX:MaxPermSize=256m
>FULL BUILD STATS for: local_default_My Extensions
>   compiled 249 lines in 1176ms:211.7lines/s
>   parse: 342 ms (29.0%), resolve: 401 ms (34.0%), analyze: 4 ms (0.3%), generate: 208 ms (17.6%)
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x002f0b1c, pid=3466, tid=3077908160
#
# JRE version: 7.0
# Java VM: OpenJDK Client VM (22.0-b10 mixed mode linux-x86 )
# Problematic frame:
# C  [UTF-16.so+0xb1c]  gconv+0x3dc
#
# Core dump written. Default location: /home/john/BOS-5.6.3/studio/core or core.3466
#
# An error report file with more information is saved as:
# /home/john/BOS-5.6.3/studio/hs_err_pid3466.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
#
./BonitaStudio.sh: line 11:  3466 Aborted                 (core dumped) ./BonitaStudio-linux -data ./workspace -vmargs -Dbonita_client_home="$source_path" -Dosgi.nls.warnings=ignore $vmArgs
[john@opti BOS-5.6.3]$ ./BonitaStudio.sh
Source path is: .
vmArgs are: -Dfile.encoding=UTF-8 -Xmx512m -Xms256m -XX:MaxPermSize=256m
>FULL BUILD STATS for: local_default_My Extensions
>   compiled 249 lines in 1170ms:212.8lines/s
>   parse: 340 ms (29.0%), resolve: 398 ms (34.0%), analyze: 2 ms (0.1%), generate: 211 ms (18.0%)
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x06e23a79, pid=3500, tid=3077949120
#
# JRE version: 7.0
# Java VM: OpenJDK Client VM (22.0-b10 mixed mode linux-x86 )
# Problematic frame:
# C  [libxul.so+0xd34a79]  mozilla::services::_external_GetHistoryService()+0x1a5fe
#
# Core dump written. Default location: /home/john/BOS-5.6.3/studio/core or core.3500
#
# An error report file with more information is saved as:
# /home/john/BOS-5.6.3/studio/hs_err_pid3500.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
./BonitaStudio.sh: line 11:  3500 Aborted                 (core dumped) ./BonitaStudio-linux -data ./workspace -vmargs -Dbonita_client_home="$source_path" -Dosgi.nls.warnings=ignore $vmArgs
[john@opti BOS-5.6.3]$
Comment 3 John Bradshaw 2012-05-24 04:57:53 EDT
Created attachment 586584 [details]
Log file from pentaho crash

Log file generated when pentaho crashes - it's a Java app.
Comment 4 Martin Stransky 2012-06-07 08:03:20 EDT
This is a primary problem with Java, not firefox itself.
Comment 5 Deepak Bhole 2012-06-07 11:30:26 EDT
These look like JNI errors, which are outside the JVM's control.

Looking at the traces above, it seems that all of the code is coming from BonitaStudio, including the Eclipse SWT libraries it is using (which are causing this).

The bug needs to be opened with BonitaStudio as there is nothing we can do about it.

They need to check the interaction of their code specifically with the version of libxul that is in Fedora.
Comment 6 John Bradshaw 2012-06-07 18:20:00 EDT
Tested with 2 different Java (Sun and OpenJDK) same error.  Tested with Pentaho and BonitaSoft and all 4 combinations show a problem.... OS (including libxul) is the common factor here.

Moved PC to Ubuntu 12.04 and it worked first time (same installation as I cloned /home).

Note You need to log in before you can comment on or make changes to this bug.